checkgroups(8)

NAME
checkgroups - update group descriptions

SYNOPSIS
checkgroups checkgroupsfile

DESCRIPTION
Leafnode is a USENET package intended for small sites, where there are few users and little disk space, but where a large number of groups is desired.

Checkgroups is the program which parses checkgroup scripts to include new/updated group descriptions into the active file (which is usually /var/spool/news/leaf.node/groupinfo).

Checkgroups sets its real and effective uid to "news".

OPTIONS

checkgroupsfile
    is a file which contains the newsgroup name and the description on one line, separated by whitespace. Checkgroups scripts are sometimes sent out by news administrators (e.g. in the bionet.* hierarchy).

ENVIRONMENT

LN_LOCK_TIMEOUT
    This variable is parsed as an unsigned integer value and determines how many seconds checkgroups will wait when trying to obtain the lock file from another leafnode program. 0 means to wait indefinitely. This variable takes precedence over the configuration file.

AUTHOR
Written by Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>. Copyright 1997-1999.

Modified by Matthias Andree <matthias.andree@gmx.de>. Copyright 2002-2004.

Leafnode was originally written by Arnt Gulbrandsen <agulbra@troll.no> and is copyright 1995-96 Troll Tech AS, Postboks 6133 Etterstad, 0602 Oslo, Norway, fax +47 22646949.

SEE ALSO
leafnode(8), texpire(8), RFC 977.